TTF_MeasureString(3)

NAME
TTF_MeasureString - Calculate how much of a UTF-8 string will fit in a given width.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_MeasureString(TTF_Font *font, const char *text, size_t length, int max_width, int *measured_width, size_t *measured_length);

DESCRIPTION
This reports the number of characters that can be rendered before reaching max_width .

This does not need to render the string to do this calculation.

FUNCTION PARAMETERS

font
    the font to query.

text
    text to calculate, in UTF-8 encoding.

length
    the length of the text, in bytes, or 0 for null terminated text.

max_width
    maximum width, in pixels, available for the string, or 0 for unbounded width.

measured_width
    a pointer filled in with the width, in pixels, of the string that will fit, may be NULL.

measured_length
    a pointer filled in with the length, in bytes, of the string that will fit, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.